biome-approvals

Operations of the Biome Host API. Paths are relative to your deployment's API host.

GET /api/biome-host-api/platform/biomes/{biomeId}/installations/{installationId}/approvals

List pending approvals for a biome installation.

Authentication: bearer token (Authorization: Bearer <token>)

ParameterInTypeRequiredDescription
biomeIdpathstringyes
installationIdpathstringyes
StatusDescriptionBody
200application/json BiomeApprovalResponseDtoDataArrayEnvelope
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto

POST /api/biome-host-api/platform/biomes/{biomeId}/installations/{installationId}/approvals

Request an approval for a lifecycle transition on a biome installation.

Authentication: bearer token (Authorization: Bearer <token>)

ParameterInTypeRequiredDescription
biomeIdpathstringyes
installationIdpathstringyes

Request body: application/json RequestApprovalDto

StatusDescriptionBody
201application/json BiomeApprovalResponseDtoDataEnvelope
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto
503LIFECYCLE_APPROVAL_APPROVALS_UNAVAILABLE: decision-api is not registered, or registered but unreachable. Nothing was requested.application/problem+json ProblemDetailsDto